From cb8693ff90e7df51d594245b6b956fc2bd064a7a Mon Sep 17 00:00:00 2001
From: Colin Watson <cjwatson@debian.org>
Date: Tue, 14 Jan 2014 02:08:53 +0000
Subject: Translate __PMT() to __P() on non-glibc architectures

Forwarded: no
Last-Update: 2010-03-26

Patch-Name: pmt-compat.patch
---
 db.h | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/db.h b/db.h
index 8b7921f..3aad4ae 100644
--- a/db.h
+++ b/db.h
@@ -39,6 +39,11 @@
 #include <sys/types.h>
 #include <sys/cdefs.h>
 
+/* Some systems don't define the __PMT extension of __P; translation is safe */
+#ifndef __PMT
+#define __PMT(p) __P(p)
+#endif
+
 #include <limits.h>
 
 #ifdef __DBINTERFACE_PRIVATE
